@echo OFF
rem  * ************************************************************************
rem  *                 TC03MKW2.CMD - a Windows Command File                  *
rem  *           This program is provided by SimoTime Technologies            *
rem  *              (C) Copyright 1987-2016 All Rights Reserved               *
rem  *                Web Site URL:   http://www.simotime.com                 *
rem  *                      e-mail:   helpdesk@simotime.com                   *
rem  * ************************************************************************
rem  *
rem  * Text   - Create various sequential files with 128-byte records.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * This procedure uses the Microsoft "ECHO" command to pipe instream
rem  * data to an ASCII/Text file. The following terms are used.
rem  *
rem  * LSEQ - a Line Sequential File or ASCII/Text File
rem  * RSEQ - a Record Sequential File. This example uses a file of
rem  *        128-byte records that may be ASCII or EBCDIC encoded.
rem  *
rem  * Once the LSEQ file is created it is used as input to create an
rem  * RSEQ file of 128-byte, ASCII-encoded records.
rem  *
rem  * Next, the LSEQ file is read a second time. The record content is
rem  * converted from ASCII to EBCDIC. A new RSEQ file is created with
rem  * the ASCII-encoded records.
rem  *
rem  * Next, a copy of the file is created to be used in a process that
rem  * will decribe and demonstrate a file compare process that will
rem  * result in an "EQUAL" compare.
rem  *
rem  * *******************************************************************
rem  * Step 1, Delete any previously created file...
rem  *
     set CmdName=TC03MKW2
     call ..\Env1BASE
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting JobName %CmdName%"
:DeleteLSEQ
     call SimoNOTE "Identify JobStep DeleteLSEQ"
     set TC03LSEQ=%BaseLib1%\DATA\TXT1\TESTCASE.TC03.TC03LSEQ.txt
     if exist %TC03LSEQ% del %TC03LSEQ%
rem  *
rem  * *******************************************************************
rem  * Step 2, Create a new output file. Use the "echo" command provided
rem  *         with Microsoft Windows to pipe instream data to a new
rem  *         ASCII/Text file.
rem  *
:ExecuteCreateLSEQ
     call SimoNOTE "Identify JobStep ExecuteCreateLSEQ"
rem  ....:....1....:....2....:....3....:....4....:....5....:....6....:....7....:....8....:....9....:...10....:...11....:...12....:...
echo 000100 Anderson       Adrian    111 Peachtree Plaza     Atlanta        GA 26101  +001500000 504-612-9769                        >>%TC03LSEQ%
echo 000200 Brown          Billie    222 Baker Boulevard     Baltimore      MD 35702  +000050000 704-968-1138                        >>%TC03LSEQ%
echo 000300 Carson         Cameron   333 Crenshaw Blvd.      Cupertino      CA 96154  +000250000 138-727-6613                        >>%TC03LSEQ%
echo 000400 Davidson       Dion      444 Main Street         Wilmington     DE 27323  +000100000 613-968-1138                        >>%TC03LSEQ%
echo 000500 Everest        Evan      555 5TH Avenue          New York       NY 10341  +000250000 912-350-9365                        >>%TC03LSEQ%
echo 000600 Franklin       Francis   666 66TH Avenue         Bedrock        NY 11903  +000100000 331-773-9231                        >>%TC03LSEQ%
echo 000700 Garfunkel      Gwen      777 77TH Street         New York       NY 16539  +000250000 662-441-2910                        >>%TC03LSEQ%
echo 000800 Harrison       Hilary    888 88TH Street         Pocatello      ID 79684  +000250000 115-476-7953                        >>%TC03LSEQ%
echo 000900 Isley          Isabel    999 99TH Avenue         Indianapolis   IN 38762  +000100000 415-414-6623                        >>%TC03LSEQ%
echo 001000 Johnson        Jamie     1010 Paradise Drive     Larkspur       CA 90504  +000250000 213-816-9445                        >>%TC03LSEQ%
echo 001150 Kemper         Kelly     1111 Oak Circle         Kansas City    KS 55651  +000250000 818-773-1958                        >>%TC03LSEQ%
echo 001200 Lemond         Lesley    1212 Lockwood Road      Mohave Desert  AZ 80303  +000100000 402-632-0479                        >>%TC03LSEQ%
echo 001300 Mitchell       Marlow    1313 Miller Creek Road  Anywhere       TX 77123  +000100000 882-913-7163                        >>%TC03LSEQ%
echo 001400 Newman         Noel      1414 Park Avenue        Santa Monica   CA 90210  +000100000 551-331-0421                        >>%TC03LSEQ%
echo 001500 Osborn         Owen      1515 Center Stage       Rolling Rock   PA 36613  +000100000 912-643-9923                        >>%TC03LSEQ%
echo 001600 Powell         Pierce    PO Box 1616             Ventura        CA 97712  +010000000 663-385-6248                        >>%TC03LSEQ%
echo 001700 Quigley        Quincy    1717 Farm Hill Road     Oshkosh        WI 43389  +000100000 365-590-2175                        >>%TC03LSEQ%
echo 001744 Newton         Nancy     1744 Abbey Lane         Winslow        NH 34971  +000250000 389-217-7793                        >>%TC03LSEQ%
echo 001800 Ripley         Ray       1818 Alien Lane         Wayout         KS 55405  +000100000 212-510-1705                        >>%TC03LSEQ%
echo 001900 Smith          Sammy     1919 Carnoustie Drive   Novato         CA 94919  +002500000 415-883-6565                        >>%TC03LSEQ%
echo 002000 Tucker         Taylor    2020 Sanger Lane        St. Paul       MN 43998  +000050000 714-923-0012                        >>%TC03LSEQ%
echo 002100 Underwood      Ulysses   2121 Wall Street        New York       NY 17623  +000050000 310-544-1703                        >>%TC03LSEQ%
echo 002200 Van Etten      Valerie   2222 Vine Street        Hollywood      CA 98775  +000050000 711-326-7170                        >>%TC03LSEQ%
echo 002300 Wilson         Wiley     2323 Main Street        Boston         MA 01472  +000350000 213-540-1802                        >>%TC03LSEQ%
echo 002400 Xray           Xavier    2424 24th Avenue        Nashville      TN 44190  +000175000 441-207-1135                        >>%TC03LSEQ%
echo 002500 Young          Yanni     2525 Yonge Street       Toronto        ON 6B74A6 +000050000 313-409-6123                        >>%TC03LSEQ%
echo 002600 Zenith         Zebulon   2626 26TH Street        Dallas         TX 71922  +000050000 283-327-1077                        >>%TC03LSEQ%
rem  *
     if not exist %TC03LSEQ% set JobStatus=0002
     if not "%JobStatus%" == "0000" goto EojNok
     call SimoNOTE "Produced DataSet %TC03LSEQ%"
rem  *
:ConvertLSEQtoRSEQasc
rem  *
rem  * *******************************************************************
rem  * Step 3, Read the previously created Line Sequential File (LSEQ)
rem  *         and write a Record Sequential File (RSEQ) with 128-byte,
rem  *         ASCII-encoded records.
rem  *
     call SimoNOTE "Identify JobStep ConvertLSEQtoRSEQasc"
     set TC03RSEQ=%BaseLib1%\DATA\APPL\TESTCASE.TC03.TC03DIFF.dat
     if exist %TC03RSEQ% del %TC03RSEQ%
     run TC03ALAR
     if not exist %TC03RSEQ% set JobStatus=0003
     if not "%JobStatus%" == "0000" goto EojNok
     call SimoNOTE "Produced DataSet %TC03RSEQ%"
rem  *
rem  * *******************************************************************
rem  *
:EojAok
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
